:root {
    --lbb-orange:#f58825;    
    --lbb-purple:#bd509f;    
    --lbb-red:#E11723;

    --transition: all 0.3s cubic-bezier(0.5, 1, 0.89, 1);
}

@-webkit-keyframes fadeInUpSD {
    0% {
      opacity: 0;
      -webkit-transform: translateY(100px);
      transform: translateY(100px);
    }
  
    100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
    }
}

@keyframes fadeInUpSD {
    0% {
      opacity: 0;
      -webkit-transform: translateY(100px);
      transform: translateY(100px);
    }
  
    100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
    }
  }



/*
	Custom styles
*/
body {
  overflow-x: hidden;
}

.container,
.et_pb_row {
    width: 95%;
}

#main-header {
    background-color: transparent;
    transition: var(--transition);
}
#main-header.blured {
    background-color: #00000038;
    backdrop-filter: saturate(180%) blur(8px);
}
#main-header.et-fixed-header .sub-menu li a {
    color: #000 !important;
}

#page-container {
    padding-top: 0 !important;
    margin-top: 0 !important;
}

#first-home-section {
    height: 100vh;
}

#first-home-section:before {

}

#main-header {
    box-shadow: none;
}
#main-header .container {
    display: flex;
    flex-direction: column;
}
#main-header .logo_container {
    position: relative;
    display: flex;
}
#main-header .logo_container > div {
    width: 100%;
}

#logo {
    height: 5rem;
    max-height: 100% !important;
}

#et_top_search {
    display: flex;
    align-items: center;
    float: inherit;
    justify-content: right;
}
#et_search_icon:before {
    position: relative;
}

#primary-menu {
    display: flex;
    border-top: 1px solid #ffffff61;
    align-items: center;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    justify-content: center;
}
#primary-menu .top-menu-right {
    width: auto;
    display: flex;
}
#primary-menu .top-menu-right a {
    border-radius: 50px;
    background-color: #FFF;
    padding: 0.5rem;
    width: 2rem;
    height: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: .5rem;
}
#primary-menu .top-menu-right .et-cart-info span:before {
    -webkit-mask-image: url(/wp-content/themes/Child/img/shopping-basket-svgrepo-com.svg);
    mask-image: url(/wp-content/themes/Child/img/shopping-basket-svgrepo-com.svg);
    -webkit-mask-size: contain;
    mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-color: #bd509f;
    content: '';
    width: 20px;
    height: 20px;
    background-size: contain;
    display: block;
    margin: 0 !important;
    transition: all ease-in-out .3s;
}

#primary-menu .top-menu-right .my-account-btn {
    font-size: 0;
}
#primary-menu .top-menu-right .my-account-btn span:before {
    -webkit-mask-image: url(/wp-content/themes/Child/img/user-account-profile-svgrepo-com.svg);
    mask-image: url(/wp-content/themes/Child/img/user-account-profile-svgrepo-com.svg);
    -webkit-mask-size: contain;
    mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-color: #bd509f;
    content: '';
    width: 20px;
    height: 20px;
    background-size: contain;
    display: block;
    transition: all ease-in-out .3s;
}
#primary-menu .top-menu-right .et-cart-info:hover span:before,
#primary-menu .top-menu-right .my-account-btn:hover span:before {
    background-color: #000;
}

#et-top-navigation {
    width: 100%;
    padding: 0 !important;
}
#et-top-navigation #top-menu li a {
    padding: 0 !important;
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    overflow: hidden;
    width: auto;
    background: transparent;
}
#et-top-navigation a:after {
    position: relative !important;
}
#et-top-navigation #top-menu li a:before {
    content: '';
    width: 0%;
    height: 0.4rem;
    background-color: var(--lbb-purple);
    position: absolute;
    z-index: -1;
    /* transition: all 0.4s cubic-bezier(0.5, 1, 0.89, 1); */
    animation: lineOut 0.5s cubic-bezier(0.5, 1, 0.89, 1) forwards;
}
#et-top-navigation #top-menu .sub-menu {
    display: flex;
    flex-direction: column;
}
#et-top-navigation #top-menu .sub-menu li a:before {
    background-color: var(--lbb-orange);
}
#et-top-navigation #top-menu li a:hover {
    opacity: 1;
}
#et-top-navigation #top-menu li a:hover:before {
    /* width: 100%; */
    animation: lineIn 0.5s cubic-bezier(0.5, 1, 0.89, 1) forwards;
}

@keyframes lineIn {
    0% {
        width: 0%;
    }
    100% {
        width: 100%;
    }
}

@keyframes lineOut {
    0% {
        width: 100%;
        left: 0;
    }
    100% {
        width: 0%;
        left: 100%;
    }
}


/* #et-top-navigation #top-menu .menu-item .sub-menu {
    animation: slideOutToBottom 0.6s ease forwards;
} */
#et-top-navigation #top-menu .menu-item .sub-menu {
    margin-top: 1rem;
    border-color: var(--lbb-purple);
}
#et-top-navigation #top-menu .menu-item .sub-menu:before {
    content: '';
    position: absolute;
    top: -8px;
    left: 2rem;
    z-index: 10;
    display: block;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-bottom: 5px solid var(--lbb-purple);
}
#et-top-navigation #top-menu .menu-item.et-hover .sub-menu {
    animation: slideInFromBottom 0.6s ease forwards;
}

@keyframes slideInFromBottom {
    0% {
        visibility: hidden;
        opacity: 0;
        transform: translateY(20%);
    }
    100% {
        visibility: visible;
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slideOutToBottom {
    0% {
        visibility: visible;
        opacity: 1;
        transform: translateY(0);
    }
    100% {
        visibility: hidden;
        opacity: 0;
        transform: translateY(20%);
    }
}


.head-title .et_pb_text_inner h1 span.thin-text {
    display: block;
}
.head-title .et_pb_text_inner h1 span.bold-text {
    font-weight: 800;
    font-size: 6rem;
    display: inline-block;
}




/* -------------- home grid section --------------- */

.home-grid-section .et_pb_row {
    padding: 0;
}
.home-grid-section .et_pb_column {
    width: 49.3%;
    margin-right: 1rem;
    margin-bottom: 1rem;
}
.home-grid-section .et_pb_column:last-of-type {
    margin-right: 0;
}
.home-grid-section .et_pb_blurb {
    min-height: 20rem;
    margin: 0 !important;
    display: flex;
    align-items: center;
    background-size: cover;
    transition: background-size 0.3s cubic-bezier(0.5, 1, 0.89, 1);;
}
.home-grid-section .et_pb_blurb:hover .et_pb_blurb_content {
    padding-left: 2rem;
}
.home-grid-section .et_pb_blurb:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    transition: var(--transition);
    background-color: rgba(0,0,0,0.4);
}
.home-grid-section .et_pb_blurb:hover:before {
    background-color: rgba(0,0,0,0.6);
}
.home-grid-section .et_pb_blurb .et_pb_blurb_content {
    backdrop-filter: saturate(180%) blur(8px);
    max-width: 100%;
    padding: 1rem;
    position: absolute;
    display: flex;
    height: auto;
    min-height: 0%;
    align-items: center;
    transition: var(--transition);
}
.home-grid-section .et_pb_blurb:hover .et_pb_blurb_content {
    min-height: 100%;
}
.home-grid-section .et_pb_blurb .et_pb_module_header {
    color: var(--lbb-orange);
    font-weight: 800;
    text-transform: uppercase;
    font-size: 4rem;
}
.home-grid-section .et_pb_blurb_1 .et_pb_module_header {
    color: var(--lbb-purple);
}
.home-grid-section .et_pb_blurb_2 .et_pb_module_header {
    color: var(--lbb-red);
}
.home-grid-section .et_pb_blurb .et_pb_blurb_description {
    color: #FFF;
    text-transform: uppercase;
    font-size: 2rem;
    font-weight: 300;
}


/* -------------- LBB vertical lines --------------- */

.lbb-vlines {
    display: flex;
}
.lbb-vlines .et_pb_code {
    width: 6rem;
    height: 95vh;
    margin-right: 0.5rem;
}
.lbb-vlines .et_pb_code:nth-child(2) {
    height: calc(95vh - 6rem);
}
.lbb-vlines .et_pb_code:nth-child(3) {
    height: calc(95vh - 12rem);
}


/* -------------- Products grid --------------- */

.products .product .woocommerce-loop-product__title {
    text-align: center;
    text-transform: uppercase;
    padding: 1.3rem 0 1rem 0 !important;
}
.products .product .price {
    text-align: center;
    font-size: 20px !important;
    font-weight: 700 !important;
}
.products .product .price .amount {
    color: var(--lbb-orange) !important;
}
.products .product .price .amount .woocommerce-Price-currencySymbol {
    margin-left: .2rem;
}
.products .product .et_shop_image {
    overflow: hidden;
}
.woocommerce .products .product .et_shop_image img {
    transition: all 0.4s cubic-bezier(0.5, 1, 0.89, 1);
    margin: 0 !important;
}
.products .product:hover .et_shop_image img {
    transform: scale(1.1) rotate(-2deg);
}
.products .product .et_shop_image:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    display: block;
    z-index: 1010;
    background: #ffffff0d;
    top: 0;
    left: 0;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease-in-out;
}
.products .product:hover .et_shop_image:before {
    backdrop-filter: saturate(2);
    opacity: 1;
}
.products .product .et_overlay,
.products .product .et_overlay:before {
    display: none;
}


/* -------------- Parallax section --------------- */

.parallax-section .et_pb_text h2 {
    font-size: 7rem;
    font-weight: 800;
}
.parallax-section .et_parallax_bg_wrap:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    background-color: rgb(0 0 0 / 68%);
    backdrop-filter: blur(5px);
    z-index: 1;
}
.parallax-section .et_parallax_bg_wrap .et_parallax_bg {
    background-position: center;
}


/* -------------- button --------------- */

.single_add_to_cart_button,
.et_pb_button,
.et_pb_button:hover {
    border: 0 !important;
    border-radius: 0;
    position: relative;
    z-index: 1;
    padding: 0.5rem 1.5rem !important;
}
.et_pb_button:after {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    margin: 0 !important;
    z-index: -1;
    opacity: 0;
    pointer-events: none;
    background-color: rgba(0,0,0,0.15);
    transition: all 0.3s ease-in-out;
}
.et_pb_button:hover:after {
    opacity: 1;
}


/* -------------- Product page --------------- */

.product-header {
    max-height: 20vh;
    overflow: hidden;
    display: flex;
    align-items: center;
    overflow: hidden;
    position: relative;
}
.product-header:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1010;
    background-color: rgba(0,0,0,0.7);
}
.product-header.et_pb_section,
.product-header .et_pb_section {
    padding: 0;
}
.product-header .et_pb_row {
    width: 100%;
    max-width: 100%;
    padding: 0;
}
.product-header .et_pb_row img {
    visibility: hidden;
}
.single_add_to_cart_button {
    color: #FFFFFF!important;
    letter-spacing: 1px;
    font-size: 14px !important;
    font-weight: 300!important;
    text-transform: uppercase!important;
    background-color: var(--lbb-orange) !important;
    border-radius: 0 !important;
    display: flex !important;
    align-items: center;
    justify-content: center;
}
.single_add_to_cart_button:hover {
    background-color: #d07520 !important;
}
.single_add_to_cart_button:before {
    content: '' !important;
    position: relative !important;
    display: block !important;
    width: 1.3rem;
    height: 1.3rem;
    margin-left: 0 !important;
    margin-right: 0.7rem;
    opacity: 1 !important;
    background-color: #FFF;
    -webkit-mask: url('/wp-content/themes/Child/img/shopping-basket-svgrepo-com.svg') no-repeat center;
    mask: url('/wp-content/themes/Child/img/shopping-basket-svgrepo-com.svg') no-repeat center;
}
.single_add_to_cart_button:after {
    display: none;
}
.woocommerce-variation-add-to-cart,
.quantity {
    display: flex !important;
}
.quantity .button-minus,
.quantity .button-plus {
    display: inline-block;
    font-weight: 600;
    line-height: 1.5;
    color: #353535;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    width: 3rem;
    background-color: #FFF;
    border: 1px solid transparent;
    padding: 0.375rem 1.5rem;
    font-size: .8rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.quantity .button-minus {
    color: #ccc;
    border-color: #ccc;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    border-right: none;
}
.quantity .button-plus {
    color: #ccc;
    border-color: #ccc;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    border-left: none;
}
.quantity .button-minus:hover,
.quantity .button-plus:hover {
    color: #fff;
    border-color: var(--lbb-orange);
    background-color: var(--lbb-orange);
}
.woocommerce .quantity input[type="number"],
input[type="number"] {
    display: block;
    padding: 0.375rem 0.75rem;
    font-size: 1rem !important;
    font-weight: 400 !important;
    line-height: 1.5;
    color: #353535 !important;
    background-color: #fff !important;
    background-clip: padding-box;
    border: 1px solid #ccc !important;
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    appearance: textfield;
    border-radius: 0.25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    width: 80px;
    max-width: 5rem;
    text-align: center;
    border-left: 0;
    border-right: 0;
    border-top-right-radius: 0!important;
    border-bottom-right-radius: 0!important;
    border-top-left-radius: 0!important;
    border-bottom-left-radius: 0!important;
}
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
-webkit-appearance: none;
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger {
    right: inherit;
    left: 1rem;
    top: 1rem;
}

.woocommerce div.product p.price, .woocommerce div.product span.price {
    color: var(--lbb-purple);
    font-weight: 700;
}

.woocommerce div.product form.cart {
    display: flex;
}

.woocommerce table.shop_attributes tr:nth-child(even) td, .woocommerce table.shop_attributes tr:nth-child(even) th {
    background-color: #bd509f14;
}

.product .et_pb_wc_add_to_cart {
    border-bottom: 1px solid var(--lbb-purple);
    padding-bottom: 2rem;
}

/* -------------- Product slider --------------- */
.slick-container {
    display: flex;
}

.slick-main-slider .slick-arrow {
    display: none !important;
    visibility: hidden !important;
}
.slick-main-slider .slick-slide {
    width: 28.6rem !important;
}
.slick-main-slider .slick-slide .zoomImg {
    display: none;
    visibility: hidden;
}

.slick-slider-nav .slick-prev,
.slick-slider-nav .slick-next {
    font-size: 0;
    width: 100%;
    height: 2rem;
    color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    cursor: pointer;
    border: 1px solid #FFF;
    background-color: var(--lbb-purple);
    opacity: 0.5;
    transition: all 0.3s ease-in-out;
}
.slick-slider-nav:hover .slick-prev,
.slick-slider-nav:hover .slick-next {
    opacity: 1;
}
.slick-slider-nav .slick-prev:before {
    content: '';
    position: absolute;
    border-top: 1px solid #000;
    border-right: 1px solid #000;
    display: block;
    border-color: #FFF;
    width: 1rem;
    height: 1rem;
    margin-top: 0.5rem;
    transform: rotate(315deg);
}
.slick-slider-nav .slick-next:before {
    content: '';
    position: absolute;
    border-top: 1px solid #000;
    border-right: 1px solid #000;
    display: block;
    border-color: #FFF;
    width: 1rem;
    height: 1rem;
    margin-top: -0.5rem;
    transform: rotate(135deg);
}
.slick-slider-nav .slick-slide {
    width: 7rem !important;
    position: relative;
    transition: all 0.3s ease-in-out;
}
.slick-slider-nav .slick-slide:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    pointer-events: none;
    background-color: #00000063;
    backdrop-filter: saturate(0.5);
    opacity: 1;
    z-index: 10;
    transition: all 0.3s ease-in-out;
}
.slick-slider-nav .slick-slide:hover:before,
.slick-slider-nav .slick-slide.slick-current:before {
    opacity: 0;
}



/* -------------- footer --------------- */

footer .et_pb_section {
    background-color: #333 !important;
    padding: 0;
}
footer .et_pb_section .et_pb_column {
    display: flex;
    justify-content: center;
    flex-direction: column;
}
footer #logo-footer {
    width: 10rem;
}
footer .et-menu {
    display: flex;
    flex-direction: row;
}
footer .et_pb_menu {
    display: flex;
    justify-content: center;
}
footer .et_pb_menu .et-menu li {
    padding: 0 1rem;
    border-right: 1px solid #FFF;

}
footer .et_pb_menu .et-menu li:last-of-type {
    border-right: none;
}
footer .et_pb_menu .et-menu li a {
    color: #fff;
    font-weight: 300;
    position: relative;
    display: flex;
    align-items: center;
}
footer .et_pb_menu .et-menu li a:before {
    content: '';
    width: 0%;
    height: 0.4rem;
    background-color: var(--lbb-purple);
    position: absolute;
    z-index: -1;
    animation: lineOut 0.5s cubic-bezier(0.5, 1, 0.89, 1) forwards;
}
footer .et_pb_menu .et-menu li a:hover:before {
    animation: lineIn 0.5s cubic-bezier(0.5, 1, 0.89, 1) forwards;
}
footer .et_pb_text .et_pb_text_inner {
    color: #FFF;
    opacity: .5;
    font-weight: 300;
}